<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
>
<f:metadata>
    <f:viewAction onPostback="false" action="#{employeeBean.init}"/>
</f:metadata>

<ui:composition>
    <h:head>
        <title>کارمند </title>



    </h:head>

    <h:body style="direction: rtl">
        <div class="ui-g-3"></div>

        <p:fieldset legend=" کارمند" style="margin-bottom:30px" class="ui-g-6">
            <h:form id="addForm">
                <p:messages autoUpdate="true" globalOnly="false" id="messages" closable="true"/>


                <p:fieldset legend="ثبت کارمند" style="margin-bottom:20px" id="feildset1">

                    <p:panelGrid id="productAdd" columns="4" columnsWidth="2,4,2,4" styleClass="ui-noborder">
                        <p:outputLabel value="نام :"/>
                        <p:inputText value="#{employeeBean.employee1.name}"/>

                        <p:outputLabel value="نام خانوادگی :"/>
                        <p:inputText value="#{employeeBean.employee1.familyName}"/>

                        <p:outputLabel value="شماره تلفن:"/>
                        <p:inputText value="#{employeeBean.employee1.phone}" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>

                        <p:outputLabel value="کد پستی:"/>
                        <p:inputText value="#{employeeBean.employee1.postalCode}" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>


                        <p:outputLabel value="کد ملی:"/>
                        <p:inputText value="#{employeeBean.employee1.nationalCode}" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>

                        <p:outputLabel value="نام سازمان:"/>
                        <p:selectOneMenu id="send" value="#{employeeBean.employee1.uniName}" style="width:152px">
                            <f:selectItem itemLabel="سازمان را انتخاب کنید" itemValue="" noSelectionOption="true"/>
                            <f:selectItems value="#{employeeBean.unitsName}"/>
                        </p:selectOneMenu>

                        <p:outputLabel value="کد پرسنلی:"/>
                        <p:inputText value="#{employeeBean.employee1.personalCode}" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>



                        <p:outputLabel value="سمت:"/>
                        <p:inputText value="#{employeeBean.employee1.type}"/>


                    </p:panelGrid>
                    <p:panelGrid id="emp" columns="2" columnsWidth="2,4" styleClass="ui-noborder">
                        <p:outputLabel value="آدرس :"/>
                        <p:inputTextarea rows="6" cols="33" value="#{employeeBean.employee1.address}"/>

                        <p:outputLabel value="مسوولیت :"/>
                        <p:inputTextarea rows="6" cols="33" value="#{employeeBean.employee1.responsibility}"/>

                    </p:panelGrid>

                    <p:spacer height="5"/>

                    <p:panel styleClass="buttonBox">
                        <p:commandButton value="ثبت" actionListener="#{employeeBean.insertEmployee}"
                                         update=":addForm feildset1">
                        </p:commandButton>
                    </p:panel>
                </p:fieldset>

                <p:fieldset legend=" نمایش کارمند" style="margin-bottom:20px">


                    <p:fieldset legend="جستجوی کارمند">

                        <p:panel styleClass="searchBox">
                            <p:panelGrid id="showemp" columns="4" columnsWidth="2,4,2,4" styleClass="ui-noborder">

                                <p:outputLabel value="کد پرسنلی:" style="margin-left: 5px;"/>
                                <p:inputText value="#{employeeBean.personalCode}" id="nameSearch" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>


                                <p:commandButton id="searchButton" value="جستجو"
                                                 actionListener="#{employeeBean.searchEmployee}"
                                                 update="@form">
                                </p:commandButton>
                            </p:panelGrid>
                        </p:panel>
                        <p:spacer height="10"/>

                    </p:fieldset>
                    <p:spacer height="10"/>

                    <p:panel styleClass="searchBox">

                        <p:panelGrid id="empAdd" columns="4" columnsWidth="2,4,2,4" styleClass="ui-noborder">
                            <p:outputLabel value="نام :"/>
                            <p:inputText value="#{employeeBean.employee2.name}" disabled="true"/>

                            <p:outputLabel value="نام خانوادگی :"/>
                            <p:inputText value="#{employeeBean.employee2.familyName}" disabled="true"/>

                            <p:outputLabel value="کد ملی:"/>
                            <p:inputText value="#{employeeBean.employee2.nationalCode}" disabled="true"/>

                            <p:outputLabel value="شماره تلفن:"/>
                            <p:inputText value="#{employeeBean.employee2.phone}" disabled="true"/>

                            <p:outputLabel value="کد پستی:"/>
                            <p:inputText value="#{employeeBean.employee2.postalCode}" disabled="true"/>

                            <p:outputLabel value="سمت:"/>
                            <p:inputText value="#{employeeBean.employee2.type}" disabled="true"/>

                            <p:outputLabel value="نام سازمان :"/>
                            <p:inputText value="#{employeeBean.employee2.uniName}" disabled="true"/>

                        </p:panelGrid>
                        <p:panelGrid id="emp2" columns="2" columnsWidth="2,4" styleClass="ui-noborder">
                            <p:outputLabel value="آدرس :"/>
                            <p:inputTextarea rows="6" cols="33" value="#{employeeBean.employee2.address}"
                                             disabled="true"/>

                            <p:outputLabel value="مسوولیت :"/>
                            <p:inputTextarea rows="6" cols="33" value="#{employeeBean.employee2.responsibility}"
                                             disabled="true"/>

                        </p:panelGrid>
                    </p:panel>
                    <p:spacer height="10"/>
                </p:fieldset>


                <p:fieldset legend=" ویرایش کارمند" style="margin-bottom:20px">


                    <p:fieldset legend="جستجوی کارمند">

                        <p:panel styleClass="searchBox">
                            <p:panelGrid id="seditemp" columns="4" columnsWidth="2,4,2,4" styleClass="ui-noborder">

                                <p:outputLabel value="کد پرسنلی:" style="margin-left: 5px;"/>
                                <p:inputText value="#{employeeBean.personalCodeforEdit}" id="empsearch" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>


                                <p:commandButton id="searchButton3" value="جستجو"
                                                 actionListener="#{employeeBean.searchEmployeeForEdit}"
                                                 update="@form">
                                </p:commandButton>
                            </p:panelGrid>
                        </p:panel>
                        <p:spacer height="10"/>

                    </p:fieldset>
                    <p:spacer height="10"/>

                    <p:panel styleClass="searchBox">

                        <p:panelGrid id="empEdit" columns="4" columnsWidth="2,4,2,4" styleClass="ui-noborder">
                            <p:outputLabel value="نام :"/>
                            <p:inputText value="#{employeeBean.employee3.name}"/>

                            <p:outputLabel value="نام خانوادگی :"/>
                            <p:inputText value="#{employeeBean.employee3.familyName}"/>

                            <p:outputLabel value="کد ملی:"/>
                            <p:inputText value="#{employeeBean.employee3.nationalCode}" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>

                            <p:outputLabel value="شماره تلفن:"/>
                            <p:inputText value="#{employeeBean.employee3.phone}" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>

                            <p:outputLabel value="کد پستی:"/>
                            <p:inputText value="#{employeeBean.employee3.postalCode}" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>

                            <p:outputLabel value="سمت:"/>
                            <p:inputText value="#{employeeBean.employee3.type}"/>

                            <p:outputLabel value="نام سازمان :"/>
                            <p:inputText value="#{employeeBean.employee3.uniName}" disabled="true"/>


                        </p:panelGrid>
                        <p:panelGrid id="emp3" columns="2" columnsWidth="2,4" styleClass="ui-noborder">
                            <p:outputLabel value="آدرس :"/>
                            <p:inputTextarea rows="6" cols="33" value="#{employeeBean.employee3.address}"/>

                            <p:outputLabel value="مسوولیت :"/>
                            <p:inputTextarea rows="6" cols="33" value="#{employeeBean.employee3.responsibility}"/>

                        </p:panelGrid>
                    </p:panel>
                    <p:spacer height="10"/>

                    <p:panel styleClass="buttonBox">
                        <p:commandButton value="ویرایش" actionListener="#{employeeBean.editEmployee}"
                                         update=":addForm">
                        </p:commandButton>
                        <p:commandButton value="حذف" actionListener="#{employeeBean.deleteEmployee}"
                                         update=":addForm">
                        </p:commandButton>
                    </p:panel>
                </p:fieldset>

            </h:form>
        </p:fieldset>

        <div class="ui-g-3"></div>
    </h:body>
</ui:composition>
</html>
